Index: /main/waeup.futminna/tags/0.1/CHANGES.txt
===================================================================
--- /main/waeup.futminna/tags/0.1/CHANGES.txt	(revision 11396)
+++ /main/waeup.futminna/tags/0.1/CHANGES.txt	(revision 11397)
@@ -2,46 +2,6 @@
 *******
 
-0.2 (unreleased)
+0.1 (2014-02-24)
 ================
 
-Feature changes
----------------
-
-* Started switch to groktoolkit (grok 1.1) based
-  application. `waeup.kofa` is not compatible with grok 1.0 anymore.
-
-* Added first rudimentary support for application plugins. Plugins are
-  looked up by the main app on creation time and created afterwards.
-
-* Added first rudimentary support for RSS2.0 feeds.
-
-* Generated filenames now have a filename extension that indicates
-  mode of processing. So fred.csv becomes fred.create.pending.csv when
-  being batch processed and something fails.
-
-* Coverage reports are now generated in ``coverage-report`` subdir of
-  build-directory.
-
-Bug fixes
----------
-
-* Removed all references to stuff in university submodule into the
-  module itself or replaced it with proper code. This way the
-  university submodule could be factored out of the waeup.kofa
-  package. Fixed bug #23.
-
-* Fixed default obj updater in batchprocessing. Fixed bug #17.
-
-* Fixed handling of pending file names, fixed bug #16.
-
-* Removed quick importer and all related components.
-
-* Removed TestData folder. It was too heavy and test data can be
-  created on-the-fly.
-
-
-0.1 (2010-01-31)
-================
-
-Initial version. (Incomplete) rewrite from the former CPS-based
-application.
+Initial version.
Index: /main/waeup.futminna/tags/0.1/buildout.cfg
===================================================================
--- /main/waeup.futminna/tags/0.1/buildout.cfg	(revision 11396)
+++ /main/waeup.futminna/tags/0.1/buildout.cfg	(revision 11397)
@@ -41,6 +41,6 @@
 
 [sources]
-waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/trunk
-kofacustom.nigeria = svn https://svn.waeup.org/repos/main/kofacustom.nigeria/trunk
+waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/tags/0.2.1
+kofacustom.nigeria = svn https://svn.waeup.org/repos/main/kofacustom.nigeria/tags/0.1
 
 [kofa_params]
Index: /main/waeup.futminna/tags/0.1/setup.py
===================================================================
--- /main/waeup.futminna/tags/0.1/setup.py	(revision 11396)
+++ /main/waeup.futminna/tags/0.1/setup.py	(revision 11397)
@@ -2,5 +2,5 @@
 from setuptools import setup, find_packages
 
-version = '0.1dev'
+version = '0.1'
 
 install_requires =[
Index: /main/waeup.futminna/tags/0.1/src/waeup/futminna/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.futminna/tags/0.1/src/waeup/futminna/applicants/tests/test_browser.py	(revision 11396)
+++ /main/waeup.futminna/tags/0.1/src/waeup/futminna/applicants/tests/test_browser.py	(revision 11397)
@@ -28,5 +28,6 @@
 from zope.component import createObject, getUtility
 from waeup.kofa.applicants.container import ApplicantsContainer
-from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
+from waeup.kofa.applicants.tests.test_browser import (
+    ApplicantsFullSetup, container_name_1)
 from waeup.kofa.interfaces import (
     IExtFileStore, IFileStoreNameChooser)
@@ -157,5 +158,5 @@
             in logcontent)
         # When an applicant is removed, also the pdf files are gone.
-        del self.app['applicants']['app2011'][self.applicant.application_number]
+        del self.app['applicants'][container_name_1][self.applicant.application_number]
         fd = storage.getFile(file_id)
         self.assertTrue(fd is None)
@@ -248,5 +249,5 @@
             in logcontent)
         # When an applicant is removed, also the pdf files are gone.
-        del self.app['applicants']['app2011'][self.applicant.application_number]
+        del self.app['applicants'][container_name_1][self.applicant.application_number]
         fd = storage.getFile(file_id)
         self.assertTrue(fd is None)
Index: /main/waeup.futminna/tags/0.1/versions.cfg
===================================================================
--- /main/waeup.futminna/tags/0.1/versions.cfg	(revision 11396)
+++ /main/waeup.futminna/tags/0.1/versions.cfg	(revision 11397)
@@ -7,4 +7,6 @@
 
 [versions]
+waeup.kofa = 0.2.1
+kofacustom.nigeria = 0.1
 collective.recipe.sphinxbuilder = 0.7.0
 hurry.workflow = 0.11
@@ -130,2 +132,5 @@
 # dolmen.beaker==0.1
 pycryptopp = 0.6.0.1206569328141510525648634803928199668821045408958
+
+# Added by buildout at 2014-02-24 09:34:06.407671
+zc.zodbrecipes = 2.0.0