Index: main/waeup.aaua/trunk/INSTALL.txt
===================================================================
--- main/waeup.aaua/trunk/INSTALL.txt	(revision 11385)
+++ main/waeup.aaua/trunk/INSTALL.txt	(revision 11401)
@@ -88,17 +88,8 @@
   $ sudo apt-get install python-virtualenv
 
-*Or*, if `pip` is installed already (superusers can install it via ``sudo apt-get install python-pip`` on `Debian`_/`Ubuntu`_)::
+*Or*, if `pip` is installed already (superusers can install it via
+ ``sudo apt-get install python-pip`` on `Debian`_/`Ubuntu`_)::
 
   $ sudo pip install virtualenv
-
-In the following, when referring to the `virtualenv` command, we talk
-of the system-wide available command or the ``virtualenv.py`` script
-installed for a local user. In the latter case you should read::
-
-  $ virtualenv ...
-
-as::
-
-  $ python /path/to/my/virtualenv.py ...
 
 
@@ -107,15 +98,20 @@
 
 After installing `virtualenv`_ you can install local sandboxes like
-this::
+this (if `virtualenv` is installed system-wide)::
 
   $ virtualenv --no-site-packages py27
+
+*or* like this::
+
+  $ python /path/to/my/virtualenv.py --no-site-packages py27
 
 where ``py27`` is a directory in the filesystem where your sandbox
 will be created. `virtualenv` will also create this directory for
-you. It is recommended to use a sandbox name that is short and at the
-same time reflects the Python version used (here: Python 2.7).
+you. While you can pick any sandbox name you want, it is recommended
+to use a sandbox name that is short and at the same time reflects the
+Python version used (here: Python 2.7).
 
 By passing the ``no-site-packages`` switch we tell `virtualenv` to
-provide us a clean environment without any extra-packages installed
+provide a clean environment without any extra-packages installed
 systemwide. More recent versions of `virtualenv`_ have this option set
 by default.
@@ -130,5 +126,6 @@
   (py27)$
 
-You will notice that the input prompt changes.
+You will notice that the input prompt changes, indicating the name of
+the sandbox activated.
 
 To deactivate the sandbox at any time, enter::
@@ -141,34 +138,45 @@
 
 
-Creating a working place
-========================
-
-In the sandbox we now create our real working
-environment. To do this, we change to the sandbox and checkout the
-sources of Kofa from the subversion server::
-
-  (py27)$ cd mysandbox/
-  (py27)$ svn co https://svn.waeup.org/repos/main/waeup.kofa/trunk kofa-trunk
-
-where ``kofa-trunk`` is only a name we've chosen here to make clear
-where the sources come from. In this case we are installing the Kofa base
-package.
+Get the Sources, Luke
+=====================
+
+Now, as the sandbox is activated (see above, if not), we can fetch the
+sources for Kofa.
+
+As Kofa is currently available from the Subversion_ repository only,
+we use the Subversion_ client `svn` and checkout the main devel branch
+of the `waeup.kofa` package like this::
+
+  (py27)$ svn co https://svn.waeup.org/repos/main/waeup.kofa/trunk
 
 The command should fetch the Kofa base package sources for you and
-put it in the directory ``kofa-trunk/``.
+will put everything in a new directory ``trunk/``.
 
 Now enter the new directory::
 
-  (py27)$ cd kofa-trunk
-
+  (py27)$ cd trunk/
+
+and you can start building the real package.
+
+.. note:: If you not want to work with the `waeup.kofa` package but a
+          customized package (like ``waeup.aaue`` or similar), then
+          you can use the above checkout command but with
+          ``waeup.kofa`` replaced by the name of the customized
+          package::
+
+            (py27)$ svn co https://svn.waeup.org/repos/main/<PKG-NAME>/trunk
+
+          For the exact link, please refer to the README.txt file in
+          your package.
+
+
+Part 1: Single Client Setup
+***************************
 
 You can run ``Kofa`` with a single client (useful for evaluation,
 development, etc.) or with multiple clients running in parallel. The
 latter setup is useful in productive environments with many thousands
-users. We will cover both setup types one after another.
-
-
-Part 1: Single Client Setup
-***************************
+users. We will cover both setup types. The first is covered here, the
+latter one is covered in Part 2.
 
 Preparing the build
@@ -410,4 +418,5 @@
 .. _Grok: http://grok.zope.org/
 .. _Python: http://www.python.org/
+.. _Subversion: http://subversion.apache.org/
 .. _Ubuntu: http://www.ubuntu.com/
 .. _virtualenv: http://www.virtualenv.org/en/latest/