Index: main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 11449)
+++ main/waeup.kofa/trunk/src/waeup/kofa/hostels/vocabularies.py	(revision 11450)
@@ -22,7 +22,7 @@
 from zope.catalog.interfaces import ICatalog
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.kofa.interfaces import SimpleKofaVocabulary
+from waeup.kofa.interfaces import (
+    SimpleKofaVocabulary, ContextualDictSourceFactoryBase)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.university.vocabularies import ContextualDictSourceFactoryBase
 
 NOT_OCCUPIED = u'not occupied'
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 11449)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 11450)
@@ -36,4 +36,5 @@
 from zope.schema.vocabulary import SimpleVocabulary, SimpleTerm
 from waeup.kofa.schema import PhoneNumber
+from waeup.kofa.sourcefactory import SmartBasicContextualSourceFactory
 
 _ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.kofa')
@@ -104,4 +105,21 @@
     )
 
+class ContextualDictSourceFactoryBase(SmartBasicContextualSourceFactory):
+    """A base for contextual sources based on KofaUtils dicts.
+
+    To create a real source, you have to set the `DICT_NAME` attribute
+    which should be the name of a dictionary in KofaUtils.
+    """
+    def getValues(self, context):
+        utils = getUtility(IKofaUtils)
+        return sorted(getattr(utils, self.DICT_NAME).keys())
+
+    def getToken(self, context, value):
+        return str(value)
+
+    def getTitle(self, context, value):
+        utils = getUtility(IKofaUtils)
+        return getattr(utils, self.DICT_NAME)[value]
+
 class SubjectSource(BasicSourceFactory):
     """A source for school subjects used in exam documentation.
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 11449)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 11450)
@@ -18,7 +18,7 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.kofa.university.vocabularies import ContextualDictSourceFactoryBase
 from waeup.kofa.interfaces import (
-    IKofaObject, SimpleKofaVocabulary, academic_sessions_vocab)
+    IKofaObject, SimpleKofaVocabulary, academic_sessions_vocab,
+    ContextualDictSourceFactoryBase)
 from waeup.kofa.interfaces import MessageFactory as _
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 11449)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 11450)
@@ -23,5 +23,6 @@
 from waeup.kofa.browser.interfaces import IStudentNavigationBase
 from waeup.kofa.interfaces import (
-    IKofaObject, academic_sessions_vocab, validate_email, ICSVExporter)
+    IKofaObject, academic_sessions_vocab, validate_email, ICSVExporter,
+    ContextualDictSourceFactoryBase)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.schema import TextLineChoice, FormattedDate, PhoneNumber
@@ -34,5 +35,5 @@
 from waeup.kofa.university.vocabularies import (
     CourseSource, StudyModeSource, CertificateSource, SemesterSource,
-    ContextualDictSourceFactoryBase)
+    )
 
 class PreviousPaymentCategorySource(ContextualDictSourceFactoryBase):
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 11449)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/vocabularies.py	(revision 11450)
@@ -21,5 +21,6 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import getUtility, queryUtility
-from waeup.kofa.interfaces import SimpleKofaVocabulary, IKofaUtils
+from waeup.kofa.interfaces import (
+    SimpleKofaVocabulary, IKofaUtils, ContextualDictSourceFactoryBase)
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.sourcefactory import SmartBasicContextualSourceFactory
@@ -39,24 +40,4 @@
     (_('Postgraduate Level'),999),
     )
-
-#: An instance of :class:`waeup.kofa.utils.utils.KofaUtils` for fallback.
-KOFA_UTILS = KofaUtils()
-
-class ContextualDictSourceFactoryBase(SmartBasicContextualSourceFactory):
-    """A base for contextual sources based on KofaUtils dicts.
-
-    To create a real source, you have to set the `DICT_NAME` attribute
-    which should be the name of a dictionary in KofaUtils.
-    """
-    def getValues(self, context):
-        utils = queryUtility(IKofaUtils, default=KOFA_UTILS)
-        return sorted(getattr(utils, self.DICT_NAME).keys())
-
-    def getToken(self, context, value):
-        return str(value)
-
-    def getTitle(self, context, value):
-        utils = queryUtility(IKofaUtils, default=KOFA_UTILS)
-        return getattr(utils, self.DICT_NAME)[value]
 
 class SemesterSource(ContextualDictSourceFactoryBase):