Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 11462)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 11463)
@@ -4,4 +4,6 @@
 1.0.1dev (unreleased)
 =====================
+
+* Back-to links replaced by animated jQuery plugins.
 
 * Default frontpage text updated.
Index: main/waeup.kofa/trunk/layout/rules.xml
===================================================================
--- main/waeup.kofa/trunk/layout/rules.xml	(revision 11462)
+++ main/waeup.kofa/trunk/layout/rules.xml	(revision 11463)
@@ -96,4 +96,6 @@
           css:if-not-content="table.kofa-data-table" />
 
+<!--
+
     <rules css:if-not-content="input.datepicker-le-year">
         <drop css:theme="script.jquery-ui"
@@ -101,5 +103,5 @@
     </rules>
 
-
+-->
 <!--
     <after css:theme-children="html head"
Index: main/waeup.kofa/trunk/layout/static/css/scroll.css
===================================================================
--- main/waeup.kofa/trunk/layout/static/css/scroll.css	(revision 11463)
+++ main/waeup.kofa/trunk/layout/static/css/scroll.css	(revision 11463)
@@ -0,0 +1,30 @@
+/* TO Top*/
+#toTop-right {
+	display:none;
+	text-decoration:none;
+	position:fixed;
+	bottom:5px;
+	right:5px;
+	outline:none;
+}
+
+.scroll-up {
+  background: url("../img/scroll_up.png") no-repeat scroll left top rgba(0, 0, 0, 0);
+  padding: 25px;
+}
+
+/* TO Bottom*/
+#toBottom-right {
+	display:none;
+	text-decoration:none;
+	position:fixed;
+	top:47px;
+	right:5px;
+	outline:none;
+}
+
+.scroll-down {
+  background: url("../img/scroll_down.png") no-repeat scroll left top rgba(0, 0, 0, 0);
+  padding: 25px;
+}
+
Index: main/waeup.kofa/trunk/layout/static/js/kofa-scroll.js
===================================================================
--- main/waeup.kofa/trunk/layout/static/js/kofa-scroll.js	(revision 11463)
+++ main/waeup.kofa/trunk/layout/static/js/kofa-scroll.js	(revision 11463)
@@ -0,0 +1,45 @@
+(function($){
+	$.fn.BottomTop = function(pos,cssClass,anchor) {
+
+		var easingType = 'easeInOutCubic';
+		var min = -1;
+		var inDelay = 500;
+		var outDelay = 500;
+		var scrollSpeed = 750;
+		var containerIDhash = '#' + pos;
+
+		// Auto Link
+		$('body').append('<a href="#'+anchor+'" id="'+pos+'" class="'+cssClass+'" />');
+    if (anchor == 'bottom') {
+  		$(containerIDhash).hide().click(function(){
+  			$('html, body').animate({scrollTop:$(bottom).offset().top}, scrollSpeed, easingType);
+  			return false;
+  		})
+      }
+    if (anchor == '') {
+  		$(containerIDhash).hide().click(function(){
+  			$('html, body').animate({scrollTop:0}, scrollSpeed, easingType);
+  			return false;
+  		})
+      }
+
+		$(window).scroll(function() {
+			var sd = $(window).scrollTop();
+
+			if ( sd > min )
+				$(containerIDhash).fadeIn(inDelay);
+			else
+				$(containerIDhash).fadeOut(Outdelay);
+		});
+
+};
+})(jQuery);
+
+
+$(document).ready(function(){
+	$('.top').BottomTop('toTop-right','scroll-up','');
+});
+
+$(document).ready(function(){
+	$('.bottom').BottomTop('toBottom-right','scroll-down','bottom');
+});
Index: main/waeup.kofa/trunk/layout/theme.html
===================================================================
--- main/waeup.kofa/trunk/layout/theme.html	(revision 11462)
+++ main/waeup.kofa/trunk/layout/theme.html	(revision 11463)
@@ -17,4 +17,5 @@
     <link href="static/css/jquery-ui.css"
           rel="stylesheet">
+    <link href="static/css/scroll.css" rel="stylesheet">
     <link href="static/css/base.css" rel="stylesheet">
 
@@ -503,5 +504,5 @@
         </div> <!-- /kofa-content-wide -->
       </div> <!-- /row -->
-      <div class="footer">
+      <div id="bottom" class="footer">
         <p class="credit muted text-right">
           Kofa - Student Management System<br />
@@ -515,4 +516,5 @@
     <script src="static/js/kofa-button-rowadd.js"></script>
     <script src="static/js/kofa-toggleall.js"></script>
+    <script src="static/js/kofa-scroll.js"></script>
     <script src="static/js/kofa-activate-tab.js"></script>
     <script class="kofa-script-tooltip"
@@ -531,5 +533,4 @@
         src="static/js/kofa-datepicker.js">
     </script>
-
   </body>
 </html>
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 11462)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/staffsitelayout.pt	(revision 11463)
@@ -126,14 +126,8 @@
         </ul>
       </div>
-      <div class="pull-right">
-        <a i18n:translate="" href="#bottom">Back to bottom</a>
-      </div>
       <h1 class="kofa-content-label"
           tal:condition="view/label|nothing"
           tal:content="structure view/label">LABEL</h1>
       <div tal:content="structure view/content"> THE CONTENT
-      </div>
-      <div id="bottom" class="pull-right">
-        <a i18n:translate="" href="#">Back to top</a>
       </div>
       <br />
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/studentsitelayout.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11462)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11463)
@@ -107,7 +107,4 @@
         </ul>
       </div>
-      <div class="pull-right">
-        <a i18n:translate="" href="#bottom">Back to bottom</a>
-      </div>
       <h1 class="kofa-content-label"
           tal:condition="view/label|nothing"
@@ -115,7 +112,4 @@
       <div tal:content="structure view/content">
         THE CONTENT
-      </div>
-      <div id="bottom" class="pull-right">
-        <a i18n:translate="" href="#">Back to top</a>
       </div>
       <br />