Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_async.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_async.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_async.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`async` -- Asynchronous Job Handling Module
+*******************************************
+
+.. automodule:: waeup.kofa.async
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_configuration.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_configuration.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_configuration.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`configuration` -- Portal Configuration Components Module
+**********************************************************
+
+.. automodule:: waeup.kofa.configuration
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_fees.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_fees.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_fees.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`fees` -- Fee Management Components Module
+******************************************
+
+.. automodule:: waeup.kofa.fees
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_imagestorage.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_imagestorage.rst	(revision 11476)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_imagestorage.rst	(revision 11477)
@@ -1,4 +1,4 @@
-`imagestorage` -- Storing images and other files
-************************************************
+`imagestorage` -- Image and File Storage Components Module
+**********************************************************
 
 .. automodule:: waeup.kofa.imagestorage
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_language.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_language.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_language.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`language` -- User Language Components Module
+*********************************************
+
+.. automodule:: waeup.kofa.language
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_maintenance.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_maintenance.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_maintenance.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`maintenance` -- Maintenance Helpers
+************************************
+
+.. automodule:: waeup.kofa.maintenance
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_objecthistory.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_objecthistory.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_objecthistory.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`objecthistory` -- Components for Object Histories Module
+*********************************************************
+
+.. automodule:: waeup.kofa.objecthistory
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_reports.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_reports.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_reports.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`reports` -- Report Generation Components Module
+************************************************
+
+.. automodule:: waeup.kofa.reports
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst	(revision 11476)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_schema.rst	(revision 11477)
@@ -1,4 +1,4 @@
-`schema` -- Schema Fields
-*************************
+`schema` -- Special Schema Fields Package
+*****************************************
 
 (see also: :ref:`api-schema-modules`)
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_sourcefactory.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_sourcefactory.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_sourcefactory.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`sourcefactory` -- Contextual Sources Module
+********************************************
+
+.. automodule:: waeup.kofa.sourcefactory
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_webservices.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_webservices.rst	(revision 11477)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_webservices.rst	(revision 11477)
@@ -0,0 +1,6 @@
+`webservices` -- Web Services Components Module
+***********************************************
+
+.. automodule:: waeup.kofa.webservices
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst	(revision 11476)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst	(revision 11477)
@@ -1,4 +1,4 @@
-`widgets` -- Widgets
-********************
+`widgets` -- Special Widgets Package
+************************************
 
 (see also: :ref:`api-widgets-modules`)
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 11476)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 11477)
@@ -16,18 +16,27 @@
    api_app
    api_applicants
+   api_async
    api_authentication
    api_browser
    api_catalog
+   api_configuration
    api_datacenter
+   api_fees
    api_hostels
    api_imagestorage
    api_interfaces
+   api_language
+   api_maintenance
+   api_objecthistory
    api_payments
    api_permissions
+   api_reports
    api_schema
+   api_sourcefactory
+   api_students
    api_university
    api_userscontainer
    api_utils
-   api_students
+   api_webservices
    api_widgets
    api_workflow
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/schema/api_field.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/schema/api_field.rst	(revision 11476)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/schema/api_field.rst	(revision 11477)
@@ -1,4 +1,4 @@
-`schema.field` - Special Fields
-*******************************
+`schema.field` - Special Schema Fields
+**************************************
 
 .. automodule:: waeup.kofa.schema.field
Index: /main/waeup.kofa/trunk/src/waeup/kofa/app.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 11476)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 11477)
@@ -98,4 +98,6 @@
 @grok.subscribe(University, grok.IObjectAddedEvent)
 def handle_university_added(app, event):
+    """If a university is added, a message is logged.
+    """
     app.logger.info('University `%s` added.' % getattr(app, '__name__', None))
     return
Index: /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py	(revision 11476)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/configuration.py	(revision 11477)
@@ -17,5 +17,5 @@
 ##
 """
-Containers for session configuration objects.
+Components for portal configuration.
 """
 import grok