Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 11459)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 11478)
@@ -106,24 +106,21 @@
             if student.current_mode.endswith('_ft'):
                 self.pay_item_id = '5700'
-                if student.current_mode in ('ug_ft','de_ft','ct_ft','ume_ft'):
+                if student.current_mode in ('ug_ft','de_ft','ume_ft'):
                     xmldict['institution_acct'] = '2017506430'
                     xmldict['institution_bank_id'] = '8'
-                elif student.current_mode in ('dp_ft'):
-                    xmldict['institution_acct'] = '9201805071'
+                elif student.current_mode in ('dp_ft','dp_pt','ct_pt','ct_ft'):
+                    xmldict['institution_acct'] = '0009598853'
                     xmldict['institution_bank_id'] = '17'
                 elif student.current_mode in ('pg_ft'):
-                    xmldict['institution_acct'] = '5330832799'
+                    xmldict['institution_acct'] = '6230033428'
                     xmldict['institution_bank_id'] = '51'
             elif student.current_mode.endswith('_pt'):
                 self.pay_item_id = '5701'
-                if student.current_mode in ('ug_pt','de_pt','ct_pt'):
+                if student.current_mode in ('ug_pt','de_pt'):
                     xmldict['institution_acct'] = '0122009929'
                     xmldict['institution_bank_id'] = '16'
-                elif student.current_mode in ('dp_pt'):
-                    xmldict['institution_acct'] = '9201805071'
-                    xmldict['institution_bank_id'] = '17'
                 elif student.current_mode in ('pg_pt'):
-                    xmldict['institution_acct'] = '0031716047'
-                    xmldict['institution_bank_id'] = '10'
+                    xmldict['institution_acct'] = '1013766956'
+                    xmldict['institution_bank_id'] = '117'
         elif self.context.p_category == 'clearance':
             self.pay_item_id = '5702'
@@ -132,24 +129,15 @@
                 xmldict['institution_acct'] = '5210007943'
                 xmldict['institution_bank_id'] = '51'
-            elif student.current_mode == 'pg_ft':
-                xmldict['institution_acct'] = '5330832799'
-                xmldict['institution_bank_id'] = '51'
-            elif student.current_mode == 'pg_pt':
+            else:
+                xmldict['institution_bank_id'] = '10'
                 xmldict['institution_acct'] = '0031716047'
-                xmldict['institution_bank_id'] = '10'
-            elif student.current_mode == 'dp_pt':
-                xmldict['institution_acct'] = '9201805071'
-                xmldict['institution_bank_id'] = '17'
-            else:
-                xmldict['institution_bank_id'] = '7'
-                xmldict['institution_acct'] = '1003475516'
         elif self.context.p_category == 'gown':
             self.pay_item_id = '5704'
-            xmldict['institution_bank_id'] = '7'
-            xmldict['institution_acct'] = '1016232382'
+            xmldict['institution_bank_id'] = '16'
+            xmldict['institution_acct'] = '0122011401'
         elif self.context.p_category.startswith('hostel_maintenance'):
             self.pay_item_id = '5705'
-            xmldict['institution_bank_id'] = '129'
-            xmldict['institution_acct'] = '0014414547'
+            xmldict['institution_bank_id'] = '17'
+            xmldict['institution_acct'] = '0009598925'
 
         xmldict['provider_amt'] = 100 * provider_amt
@@ -261,3 +249,3 @@
     product_id = PRODUCT_ID
     gateway_host = HOST
-    gateway_url = URL
+    gateway_url = URL 
Index: main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 11459)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 11478)
@@ -195,5 +195,5 @@
             self.browser.contents)
         self.assertMatches(
-            '...<item_detail item_id="1" item_name="Gown Hire Fee" item_amt="8400" bank_id="7" acct_num="1016232382" />...',
+            '...<item_detail item_id="1" item_name="Gown Hire Fee" item_amt="8400" bank_id="16" acct_num="0122011401" />...',
             self.browser.contents)
         self.assertFalse(
@@ -222,5 +222,5 @@
             self.browser.contents)
         self.assertMatches(
-            '...<item_detail item_id="1" item_name="Hostel Maintenance Fee" item_amt="800000" bank_id="129" acct_num="0014414547" />...',
+            '...<item_detail item_id="1" item_name="Hostel Maintenance Fee" item_amt="800000" bank_id="17" acct_num="0009598925" />...',
             self.browser.contents)
         self.assertFalse(